package com.fjhx.victoriatourist.service.logistics;

import com.fjhx.victoriatourist.entity.logistics.po.LogisticsInfo;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.logistics.vo.LogisticsInfoVo;
import com.fjhx.victoriatourist.entity.logistics.dto.LogisticsInfoSelectDto;
import com.fjhx.victoriatourist.entity.logistics.dto.LogisticsInfoDto;


/**
 * <p>
 * 物流信息 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-12
 */
public interface MyLogisticsInfoService extends BaseService<LogisticsInfo> {

    /**
     * 物流信息分页
     */
    Page<LogisticsInfoVo> getPage(LogisticsInfoSelectDto dto);

    /**
     * 物流信息明细
     */
    LogisticsInfoVo detail(Long id);

    /**
     * 物流信息新增
     */
    void add(LogisticsInfoDto logisticsInfoDto);

    /**
     * 物流信息编辑
     */
    void edit(LogisticsInfoDto logisticsInfoDto);

    /**
     * 物流信息删除
     */
    void delete(Long id);

}
